QPME System Requirements

QPME currently contains two components: QPE (QPN Editor) and SimQPN (Simulator for QPNs).

QPE

  • QPE runs on all platforms supported by Eclipse. Ready-to-use distributions are available for the following platforms:

    • Windows
    • Linux 32-bit and 64-bit
    • MacOS X

  • A Java Runtime Environment (JRE) 6.0 or later is required.
  • It is recommended to run QPE on Windows since this is the platform it has been tested on.

SimQPN

SimQPN can be run either as Eclipse plugin in QPE or as a standalone Java application. Thus, even though QPE is limited to Eclipse-supported platforms, SimQPN can be run on any platform on which Java SE 5.0 or later is available. This makes it possible to design a model on one platform (e.g., Windows) using QPE and then analyze it on another platform (e.g., Linux) using SimQPN.